># <b># RenegadeVikings</b>

Adds randomly generated viking npcs, hostile, boss, wandering trader and neutral (tameable) to all biomes except the last 2 unfinished ones.

![](https://i.ibb.co/y5D32gj/ss.png)
![](https://i.ibb.co/7kbXFsJ/ss3.png)
[![Watch the video](https://i.ibb.co/4T1HvMB/ss.png)](https://www.youtube.com/watch?v=SrBGfskNOIo)
[![Watch the video](https://i.ibb.co/NLjSvXs/ss4.png)](https://www.youtube.com/watch?v=AoCePSbpxrk)

>## ## Installation (manual)

- extract `RenegadeVikings.dll` file to your `BepInEx\Plugins\` folder
<br/>

>## ## Features

- Adds 6 different tier npcs to 6 biomes all randomly generated, aggressive and non tameable, drops coins and other valueables.
- Adds 6 different tier npc bosses to 6 biomes all randomly generated with a map pin that appears if you're near, triggered by global keys, uses troll spawn data.
- Adds 1 neutral npc to meadows also randomly generated, tameable.
- Adds a randomly generated wandering trader (configurable sellable list), you can now sell all your looted valuebles from renegade vikings while adventuring.
- Live update trader configuration.
- Adds random event raid for all renegade vikings (triggered by global keys)
- You can check my [RevampedTrader](https://valheim.thunderstore.io/package/blacks7ar/RevampedTrader/) on how to configure the traders sell list.
- You can also get my RevampedTrader mod if you want to configure what the trader wants to buy from you.
- Configurable spawn data.
- Tamed viking can eat without manually feeding them as long as there is a chest within their reach and it contains their food items.
- Adds a viking tankard that you can use to summon your tamed viking besides you, only works for those who are following you and within 200 radius, useful if you tamed got stuck or you want them to ride on your boat.
- Uses serversync and built-in config watcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

>## ## Changelog
<br/>

v1.1.6
- tamed viking can now eat without feeding them manually, they will now search for food if they're hungry so make sure to put some chest/container with their foods inside and within their reach.
- added viking tankard, can be use to summon your tamed vikings besides you within 200 radius, only works for those who are following you, useful if your tamed viking got stuck or you want them to ride on your boat.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.1.4
- tamed viking can now go through portal with player (except in dungeons).
- reduced vikings ragdoll duration.
- increased spawn distance of renegade, trader and neutral vikings.
- reduced spawn change of renegade, trader and neutral vikings.
- minor bug fixes.

v1.1.3
- adjusted wandering traders ai so it wont move much and it wont get spooked or alerted easily.
- remove yamldotnet.dll from the package, its now integrated into the mod.

v1.1.2
- fixed random event raid
- added additional conditions to trigger event raids.

v1.1.1
- added the missing yamldotnet.dll to the zip package.

v1.1.0
- removes attack player object on nuetral vikings.
- added a wandering trader with configurable sellable list.
- added random event raids.
- decrease the spawn rate of all vikings.
- increase the spawn distance of all vikings.

v1.0.7
- fixed bow weapon bug.
- added translations.
- added spawn config options.

v1.0.5
- added 6 different randomly generated biome bosses triggered by global keys.
- tweaked ai and spawn data of all viking npcs.
- fixed weapon visual bug.

v1.0.0
- first release.

</details>